Bug 42665 - spurious attempt to open ".../file.html/.htaccess"
Summary: spurious attempt to open ".../file.html/.htaccess"
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.4
Hardware: All All
: P3 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2007-06-14 12:46 UTC by Allen
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments
"final" patch (1021 bytes, patch)
2007-06-14 12:48 UTC, Allen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Allen 2007-06-14 12:48:07 UTC
Created attachment 20351 [details]
"final" patch
Comment 2 William A. Rowe Jr. 2007-07-21 01:34:06 UTC
Your idea is good; however your patch has two flaws...

if r->finfo.filetype is neither APR_DIR nor APR_REG, then what?  Whoops.

also I believe your change to validating the symlink status is not a valid
change.  Please explain since that has little to do with the proposed problem
and solution.
Comment 3 Allen 2007-07-21 02:31:38 UTC
> if r->finfo.filetype is neither APR_DIR nor APR_REG, then what?  Whoops.

The patch corrects an optimization.  In other words, the code is supposed to
work correctly even without the optimization--the entire optimization could be
removed and the code should still function correctly.  The patch corrects the
optimization so that it handles and cases r->finfo.filetype == APR_DIR and
r->finfo.filetype == APR_REG.  If r->finfo.filetype is neither APR_DIR nor
APR_REG, then the optimization simply falls through and executes the code below,
which again is intended to correctly handle all cases.  So the answer to your
question is: it does whatever it would do if the optimization did not exists.

> also I believe your change to validating the symlink status is not a valid
> change.  Please explain since that has little to do with the proposed problem
> and solution.

I don't understand what those two sentences say.  Please elaborate.
Comment 4 William A. Rowe Jr. 2018-11-07 21:08:20 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.